1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56
|
set -e
source helpers.sh
start_up
CRYPTO_PROFILE="RSA"
setup_fapi $CRYPTO_PROFILE
function cleanup {
tss2 delete --path=/
shut_down
}
trap cleanup EXIT
NV_PATH="/nv/Owner/NvBitmap"
BITMAP="0x0102030405060608"
tss2 provision
tss2 createnv --path=$NV_PATH --type="noDa, bitfield" --size=0 --authValue=""
tss2 nvsetbits --nvPath=$NV_PATH --bitmap=$BITMAP
expect <<EOF
# Try with missing nvPath
spawn tss2 nvsetbits --bitmap=$BITMAP
set ret [wait]
if {[lindex \$ret 2] || [lindex \$ret 3] != 1} {
Command has not failed as expected\n"
exit 1
}
EOF
expect <<EOF
# Try with missing bitmap
spawn tss2 nvsetbits --nvPath=$NV_PATH
set ret [wait]
if {[lindex \$ret 2] || [lindex \$ret 3] != 1} {
Command has not failed as expected\n"
exit 1
}
EOF
expect <<EOF
# Try with wrong bitmap
spawn tss2 nvsetbits --nvPath=$NV_PATH --bitmap=abc
set ret [wait]
if {[lindex \$ret 2] || [lindex \$ret 3] != 1} {
Command has not failed as expected\n"
exit 1
}
EOF
exit 0
|